BORG-IMPORT-TAR(1)

NAME
borg-import-tar - Create a backup archive from a tarball

SYNOPSIS

borg [common options] import-tar [options] ARCHIVE TARFILE

DESCRIPTION

This command creates a backup archive from a tarball.

When giving '-' as path, Borg will read a tar stream from standard input.

By default (--tar-filter=auto) Borg will detect whether the file is compressed based on its file extension and pipe the file through an appropriate filter:

•   .tar.gz or .tgz: gzip -d

•   .tar.bz2 or .tbz: bzip2 -d

•   .tar.xz or .txz: xz -d

•   .tar.zstd: zstd -d

•   .tar.lz4: lz4 -d

    Alternatively, a --tar-filter program may be explicitly specified. It should read compressed data from stdin and output an uncompressed tar stream on stdout.

    Most documentation of borg create applies. Note that this command does not support excluding files.

    import-tar is a lossy conversion: BSD flags, ACLs, extended attributes (xattrs), atime and ctime are not exported. Timestamp resolution is limited to whole seconds, not the nanosecond resolution otherwise supported by Borg.

    A --sparse option (as found in borg create) is not supported.

    import-tar reads POSIX.1-1988 (ustar), POSIX.1-2001 (pax), GNU tar, UNIX V7 tar and SunOS tar with extended attributes.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

ARCHIVE
    name of archive to create (must be also a valid directory name)

TARFILE
    input tar file. "-" to read from stdin instead.

  optional arguments

--tar-filter
    filter program to pipe data through

-s, --stats
    print statistics for the created archive

--list
    output verbose list of items (files, dirs, ...)

--filter STATUSCHARS
    only display items with the given status characters

--json
    output stats as JSON (implies --stats)

  Archive options

--comment COMMENT
    add a comment text to the archive

--timestamp TIMESTAMP
    manually specify the archive creation date/time (UTC, yyyy-mm-ddThh:mm:ss format). alternatively, give a reference file/directory.

-c SECONDS, --checkpoint-interval SECONDS
    write checkpoint every SECONDS seconds (Default: 1800)

--chunker-params PARAMS
    specify the chunker parameters (ALGO, CHUNK_MIN_EXP, CHUNK_MAX_EXP, HASH_MASK_BITS, HASH_WINDOW_SIZE). default: buzhash,19,23,21,4095

-C COMPRESSION, --compression COMPRESSION
    select compression algorithm, see the output of the "borg help compression" command for details.

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective